# gio.OutputStream

Base class for implementing streaming input

## Synopsis

gio.OutputStream
gobject.GObject
clear_pending
close
cancellable
None
close_async
callback
io_priority
glib.PRIORITY_DEFAULT
cancellable
None
user_data
None
close_finish
result
flush
cancellable
None
flush_async
callback
io_priority
glib.PRIORITY_DEFAULT
cancellable
None
user_data
None
flush_finish
result
has_pending
is_closed
set_pending
splice
cancellable
None
flags
gio.OUTPUT_STREAM_SPLICE_NONE
splice_async
source
callback
flags
gio.OUTPUT_STREAM_SPLICE_NONE
io_priority
glib.PRIORITY_DEFAULT
cancellable
None
user_data
None
splice_finish
result
write
buffer
cancellable
None
write_async
buffer
callback
io_priority
glib.PRIORITY_DEFAULT
cancellable
None
user_data
None
write_finish
result

## Ancestry

    +-- gobject.GObject
      +-- gio.OutputStream

## Description

`gio.OutputStream` has functions to write from a stream ( `gio.OutputStream.write`() ), to close a stream ( `gio.OutputStream.close`() ) and to flush pending writes ( `gio.OutputStream.flush`() ).

To copy the content of an input stream to an output stream without manually handling the reads and writes, use `gio.OutputStream.splice`().

All of these functions have async variants too.

## Methods

Unfinished section, you may want to see the relevant C API docs for methods descriptions.